﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Globalization;
using System.Text;
using System.Windows;

using Microsoft.LightSwitch.BaseServices.ResourceService;

namespace SingleScreen.Resources
{
    [Export(typeof(IResourceProvider))]
    [ResourceProvider("Images")]
    internal class SingleScreenImageProvider : IResourceProvider
    {
        static SingleScreenImageProvider()
        {
            Uri resourceUri = new Uri("/SingleScreen.Client.Design;component/Resources/Images.xaml");
            Resources = new ResourceDictionary();
            Resources.Source = resourceUri;
        }

        public object GetResource(string resourceId, CultureInfo cultureInfo)
        {
            if (!SingleScreenImageProvider.Resources.Contains(resourceId))
            {
                return null;
            }
            else
            {
                return SingleScreenImageProvider.Resources[resourceId];
            }
        }

        private static ResourceDictionary Resources { get; set; }
    }
}
